%define section   free
%define base_name commons-vfs
%define jakarta_version 1.0

Name:           jakarta-%{base_name}
Version:        %{jakarta_version}
Release:        0.rc3.1jpp
Epoch:          0
Summary:        Commons Virtual Filesystem
License:        Apache License 2.0
Url:            http://jakarta.apache.org/commons/vfs/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:	JPackage
Source0:	commons-vfs-1.0-RC3-src.tar.gz
#svn export http://svn.apache.org/repos/asf/jakarta/commons/proper/vfs/tags/vfs-1.0-RC3

Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        commons-vfs-1.0-jpp-depmap.xml
Source5:        commons-build.tar.gz

Patch0:         commons-vfs-1.0-project_properties.patch
Patch1:         commons-vfs-1.0-navigation_xml.patch

Requires:	jakarta-commons-collections
Requires:	jakarta-commons-compress
Requires:	jakarta-commons-httpclient
Requires:	jakarta-commons-logging
Requires:	jakarta-commons-net
Requires:	jakarta-slide-server
Requires:	jcifs
Requires:	jdom
Requires:	jsch
Requires:	oro
Requires:	xml-commons-apis
BuildRequires:  ant >= 0:1.6, jpackage-utils >= 0:1.6, junit, maven, saxon, saxon-scripts
BuildRequires:	jakarta-commons-collections
BuildRequires:	jakarta-commons-compress
BuildRequires:	jakarta-commons-httpclient
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-net
BuildRequires:	jakarta-slide-webdavclient
BuildRequires:	jcifs
BuildRequires:	jdom
BuildRequires:	jsch
BuildRequires:	oro
BuildRequires:	xml-commons-apis
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
Commons VFS provides a single API for accessing various 
different file systems. It presents a uniform view of the 
files from various different sources, such as the files on 
local disk, on an HTTP server, or inside a Zip archive.
Some of the features of Commons VFS are:
* A single consistent API for accessing files of different 
  types.
* Support for numerous file system types.
* Caching of file information. Caches information in-JVM, 
  and optionally can cache remote file information on the 
  local file system.
* Event delivery.
* Support for logical file systems made up of files from 
  various different file systems.
* Utilities for integrating Commons VFS into applications, 
  such as a VFS-aware ClassLoader and URLStreamHandlerFactory.
* A set of VFS-enabled Ant tasks.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:	Documents for %{name}
Group:		Development/Documentation

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n vfs-1.0-RC3
find . -name "*.jar" -exec rm {} \;
#for j in $(find . -name "*.jar" | grep -v test-data); do
#	mv $j $j.no
#done
gzip -dc %{SOURCE5} | tar xf -

export DEPCAT=$(pwd)/commons-vfs-1.0-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon project.xml %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > commons-vfs-1.0-depmap.new.xml

%patch0 -b .sav
%patch1 -b .sav

%build
for p in $(find . -name project.xml); do
    pushd $(dirname $p)
    cp project.xml project.xml.orig
    /usr/bin/saxon -o project.xml project.xml.orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
ant \
commons-collections \
commons-compress \
commons-httpclient \
commons-logging \
commons-net \
slide/slide-webdavclient-webdavlib \
jcifs \
jdom \
jsch \
oro \
xml-commons-apis \



mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars \
maven-jelly-tags \


maven -Dmaven.javadoc.source=1.4 -Dmaven.home.local=$(pwd)/.maven jar \
					javadoc xdoc:transform 


%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 target/%{base_name}-%{version}-RC3.jar \
           $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in jakarta-*; do \
ln -sf ${jar} ${jar/jakarta-/}; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf target/docs/apidocs

## manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
find $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} -name "*.sav" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -sf %{name}-%{version} %{_javadocdir}/%{name}
 
%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Sep 05 2005 Ralph Apel <r.apel@r-apel.de> 0:1.0-0.rc3.1jpp
- First release
